Resumen de vulnerabilidades

Esta semana hemos tenido dos vulnerabilidades importantes en diferentes escenarios. La primera de ellas fue una vulnerabilidad en el lector de documentos PDF Adobe reader, la cual ya ha sido solucionada en la última versión del programa (8.1.2) disponible para su descarga en el sitio web del fabricante.

Esta vulnerabilidad permitía la ejecución de código Javascrip en el sistema vulnerable, pudiendo descargarse y ejecutar código malicioso en el mismo, como por ejemplo gusanos de la veterana familia Bagle.

ESET NOD32 detecta esta vulnerabilidad con el nombre PDF/Exploit.Pidief.A, detectando el código malicioso en origen y bloqueando su descarga, independientemente del malware que intente aprovechar la vulnerabilidad.

Como en otros casos similares, se recomienda actualizar Adobe Reader a la última versión o bien utilizar un lector de PDF alternativo como Foxit Reader.

Con respecto a la segunda vulnerabilidad importante de la semana, esta afectaba al kernel de GNU/Linux. Aunque no se tratase de un código malicioso propiamente dicho, este exploit permitía obtener permisos de root (administrador en GNU/Linux) a un usuario que se conectase de forma local, permitiendo instalar cualquier tipo de programa a continuación (sea o no malicioso). Este exploit afectaba prácticamente a todas las versiones mas recientes del kernel (de la 2.16.17 hasta la 2.6.24.1) por lo que, en apenas un par de horas se lanzo una versión del kernel que corregía este error. Asimismo, la mayoría de distribuciones mas usadas, lanzó actualizaciones, demostrando, una vez mas, la rapidez del software libre a la hora de solucionar vulnerabilidades.

A pesar de la gravedad del exploit, el hecho de tener que ejecutarse de forma local y la rapidez en lanzar una solución hace que, un fallo que podría catalogarse como crítico, haya pasado como anecdótico. No obstante, no conviene bajar la guardia puesto que es probable que este tipo de ataques a sistemas GNU/Linux se incremente en un futuro aunque, debido a la estructura del sistema operativo y a la comunidad que lo soporta, nunca lleguen a ser tan graves como los que sufre Windows.

ESET NOD32 detectó este exploit como Linux/Exploit o problaby a variant of Linux/Exploit (detectado por heurística). Recomendamos a los usuarios actualizar a la ultima versión del kernel, bien usando los actualizadores incluidos en sus respectivas distribuciones o bien descargándolo desde el sitio oficial.

Josep Albors

Comentar

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Acerca de las cookies en este sitio

Este sitio web utiliza cookies propias y de terceros para mejorar tu experiencia de usuario y obtener información estadística. Para poder seguir navegando pulsa en "Sí, estoy de acuerdo". Podrás retirar este consentimiento en cualquier momento a través de las funciones de tu navegador. Ver nuestra política de cookies..